commit:     065d87088933fd51a19881e585731268bd1db0f8
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 22 22:35:14 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Apr 22 22:35:14 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=065d8708

app-containers/devcontainer: bump to 0.59.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-containers/devcontainer/Manifest               |  1 +
 .../devcontainer/devcontainer-0.59.1.ebuild        | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/app-containers/devcontainer/Manifest 
b/app-containers/devcontainer/Manifest
index a133599c35b9..9d3563fe1fb8 100644
--- a/app-containers/devcontainer/Manifest
+++ b/app-containers/devcontainer/Manifest
@@ -1,2 +1,3 @@
 DIST devcontainer-0.57.0.tgz 617323 BLAKE2B 
74dd49c0e741715e34dce79cdc73617f4bed68b87f11fafa403a9548b334ecff1af8e2e3705c57c31ca057e12b19094a75a3a3e339cac3b6d005e00e7e08b433
 SHA512 
7b5680d003630af459d5bf12f6873ea990a67b5f16888317a27d7197799d9ff1cd802834e669c4e1c601780fa8a07c38ec4dab77e7bf64de08406403e163e954
 DIST devcontainer-0.58.0.tgz 618922 BLAKE2B 
e0962e273f6a28d4c6897523b565634d7849a37ed5866e47430080ac8e42026e888ba2a13cbcbb62dd6974f753383882b66b0129d1e7aad8321c938c58ffec58
 SHA512 
57beb86d4fcefddbaa4f13612cca0538b2449932164c062082a8ef62f3a7bd57ed6f7bb09e5954fe479c6da9caebc0b3075783fb3ba3391381ab7ce9027e5f08
+DIST devcontainer-0.59.1.tgz 619278 BLAKE2B 
793ac8856814cb35ad668b496b12c8bf6e92277014ca2efd245cdebd5b032cbd574017bf758fcb92a675d7bbd07c966bb7c4344b8cb774ad11c02a4daac91eca
 SHA512 
27bfd94b2a34815f90579ed136b6c032dc5f3b5172dfa5c124c151ef5b156038afdbc7b2bf189314c6f910bc7182117977b42712a172ca44af20c8ba481762cf

diff --git a/app-containers/devcontainer/devcontainer-0.59.1.ebuild 
b/app-containers/devcontainer/devcontainer-0.59.1.ebuild
new file mode 100644
index 000000000000..991cd956e37b
--- /dev/null
+++ b/app-containers/devcontainer/devcontainer-0.59.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Reference implementation of the Development Containers 
specification"
+HOMEPAGE="https://containers.dev/
+       https://github.com/devcontainers/cli/";
+SRC_URI="https://registry.npmjs.org/@devcontainers/cli/-/cli-${PV}.tgz
+       -> ${P}.tgz"
+S="${WORKDIR}/package"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       net-libs/nodejs
+"
+BDEPEND="
+       >=net-libs/nodejs-16[npm]
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_compile() {
+       # Skip, nothing to compile here.
+       :
+}
+
+src_install() {
+       local -a my_npm_opts=(
+               --audit false
+               --color false
+               --foreground-scripts
+               --global
+               --offline
+               --omit dev
+               --prefix "${ED}/usr"
+               --progress false
+               --verbose
+       )
+       npm "${my_npm_opts[@]}" install "${DISTDIR}/${P}.tgz" || die "npm 
install failed"
+
+       einstalldocs
+}

Reply via email to